/*
 * WriteFile.java
 *
 *  . use of System.currentTimeMillis to measure code execution time
 *  . always buffer disk i/o
 */

import java.io.*;

public class WriteFile {

  public static void main( String args[] ) throws Exception
  {
    int a[] = new int[1000000];
    for( int i=0 ; i < a.length ; ++i ) a[i] = (int) (Math.random() * 1000);

    long startTime, endTime;

    // buffered text output
    startTime = System.currentTimeMillis();
    BufferedWriter out1 = new BufferedWriter( new FileWriter("data1") );
    for( int i=0 ; i < a.length ; ++i )
      out1.write( ""+a[i] + "\n");
    out1.close();
    endTime = System.currentTimeMillis();
    System.out.println( endTime - startTime );

    // buffered binary output. for comparison, remove BufferedOutputStream
    // and see the difference
    startTime = System.currentTimeMillis();
    DataOutputStream out2 = new DataOutputStream(
				new BufferedOutputStream(
					new FileOutputStream("data2") ) );
    for( int i=0 ; i < a.length ; ++i )
      out2.writeInt(a[i]);
    out2.close();
    endTime = System.currentTimeMillis();
    System.out.println( endTime - startTime );
 }

} // end of class WriteFile

